using System.Collections.Generic;

namespace BeginningtoMock.Part2.Business
{
    public class BookService
    {
        internal IBooksDataAccess db = null;

        public BookService(IBooksDataAccess dal)
        {
            db = dal;
        }

        public List<Book> GetAllBooks()
        {
            List<Book> localList = db.GetAllBooks();
            return localList;
        }

        public List<Book> GetBooksWithPriceBelow(double price)
        {
            List<Book> localList = GetAllBooks();
            List<Book> returnList = new List<Book>();

            foreach (Book b in localList)
            {
                if(b.Price <= price)
                    returnList.Add(b);
            }

            return returnList;
        }
    }
}