namespace BeginningtoMock.Part2.Data.WebService
{
    public class PaymentProcessor : IPaymentProcessing
    {
        internal IPaymentProcessing wsProxy;

        public PaymentProcessor(IPaymentProcessing proxy)
        {
            wsProxy = proxy;
        }

        public bool TakePayment(int paymentId, int customerId, double amount)
        {
            return wsProxy.TakePayment(paymentId, customerId, amount);
        }
    }
}
